[Rainmeter]
Author=http://novasev.com/
Update=1000
MouseOverAction=!execute [!RainmeterHideMeter meterDownloadValue][!RainmeterShowMeter meterDownloadTotal][!RainmeterHideMeter meterUploadValue][!RainmeterShowMeter meterUploadTotal][!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterShowMeter meterDownloadValue][!RainmeterHideMeter meterDownloadTotal][!RainmeterShowMeter meterUploadValue][!RainmeterHideMeter meterUploadTotal][!RainmeterRedraw]

[Metadata]
Name=NS Network
Description=Bar progress meter to show network upload and download usage.
Instructions=
Version=1.0.0
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0
Preview=
;End of added Metadata

[Variables]
Font1 = GeosansLight
Font2 = Agency FB
Font Size1 = 10
Font Size2 = 40
Bar1 = af1010
Bar2 = 212121
Font Color = 525252
FontC Title = 000000

MaxDL = 10485760
MaxUL = 10485760

; ----------------------------------

[measureIP]
Measure=Plugin
Plugin=WebParser.dll
Url=http://checkip.dyndns.org
UpdateRate=14400
RegExp="(?siU)Address: (.*)</body>"
StringIndex=1
Substitute="":"N/A"

[measureNetIn]
Measure=NetIn
NetInSpeed=#MaxDL#

[measureNetOut]
Measure=NetOut
NetOutSpeed=#MaxUL#

[NetInTotal]
Measure=NetIn
Cumulative=1

[NetOutTotal]
Measure=NetOut
Cumulative=1

; ----------------------------------

[styleTitle]
StringAlign=CENTER
StringCase=UPPER
StringStyle=BOLD
StringEffect=SHADOW
FontEffectColor=0,0,0,50
FontColor=#FontC Title#
FontFace=#Font2# 
FontSize=#Font Size2#
AntiAlias=1
ClipString=1

[styleLeftText]
StringAlign=LEFT
StringCase=NONE
StringStyle=BOLD
StringEffect=SHADOW
FontEffectColor=0,0,0,20
FontColor=#Font Color#
FontFace=#Font1#
FontSize=#Font Size1#
AntiAlias=1
ClipString=1

[styleRightText]
StringAlign=RIGHT
StringCase=NONE
StringStyle=BOLD
StringEffect=SHADOW
FontEffectColor=0,0,0,20
FontColor=#Font Color#
FontFace=#Font1#
FontSize=#Font Size1#
AntiAlias=1
ClipString=1

[styleRightHidden]
StringAlign=RIGHT
StringCase=NONE
StringStyle=BOLD
StringEffect=SHADOW
FontEffectColor=0,0,0,20
FontColor=#Font Color#
FontFace=#Font1#
FontSize=#Font Size1#
AntiAlias=1
ClipString=0
Hidden=1

[styleBar]
BarColor=#Bar1#
BarOrientation=HORIZONTAL
SolidColor=#Bar2#

; ----------------------------------

[meterTitle]
Meter=STRING
MeterStyle=styleTitle
FontEffectColor=363636
X=40
Y=0
W=320
H=180
Text="NET"

[meterUploadLabel]
Meter=STRING
MeterStyle=styleLeftText
X=80
Y=12
W=290
H=14
Text="Upload"

[meterUploadValue]
Meter=STRING
MeterStyle=styleRightText
MeasureName=measureNetOut
X=290
Y=0r
W=290
H=14
Text="%1B/s"
NumOfDecimals=1
AutoScale=1

[meterUploadTotal]
Meter=STRING
MeasureName=NetOutTotal
MeterStyle=styleRightHidden
X=290
Y=0r
W=290
H=14
Text="%1"
NumOfDecimals=2
AutoScale=1

[meterUploadBar]
Meter=BAR
MeterStyle=styleBar
MeasureName=measureNetOut
X=80
Y=28
W=210
H=3

[meterDownloadLabel]
Meter=STRING
MeterStyle=styleLeftText
X=80
Y=32
W=290
H=14
Text="Download"

[meterDownloadValue]
Meter=STRING
MeterStyle=styleRightText
MeasureName=measureNetIn
X=290
Y=0r
W=290
H=14
Text="%1B/s"
NumOfDecimals=1
AutoScale=1

[meterDownloadTotal]
Meter=STRING
MeasureName=NetInTotal
MeterStyle=styleRightHidden
X=290
Y=0r
W=290
H=14
Text="%1"
NumOfDecimals=2
AutoScale=1


[meterDownloadBar]
Meter=BAR
MeterStyle=styleBar
MeasureName=measureNetIn
X=80
Y=48
W=210
H=3

